#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       blogilo
Summary:    Application to create, edit and update your blog content
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

ExcludeArch: armv5tl

BuildRequires: kf5-macros

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test) 
BuildRequires:  pkgconfig(Qt5Sql) 
BuildRequires:  pkgconfig(Qt5WebEngine) 
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

# Find KF5 package
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5XmlGui)

# Find KdepimLibs Package
BuildRequires:  cmake(KF5Blog)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5WebEngineViewer)

# Extra package
BuildRequires:  cmake(KF5GAPI)

%description
Application to create, edit and update your blog content

%files
%_kf5_sysconfdir/xdg/blogilo.categories
%_kf5_sysconfdir/xdg/blogilo.renamecategories
%_kf5_bindir/blogilo
%_kf5_datadir/applications/org.kde.blogilo.desktop
%_kf5_datadir/config.kcfg/blogilo.kcfg
%_kf5_datadir/kconf_update/blogilo*
%_kf5_datadir/appdata/org.kde.blogilo.appdata.xml
%_iconsdir/*/*/*/*
%_kf5_datadir/composereditorwebengine/composereditorinitialhtml

#------------------------------------------------------------------------------

%define composereditorwebengineprivate_major 5
%define libcomposereditorwebengineprivate %mklibname composereditorwebengineprivate %composereditorwebengineprivate_major

%package -n %libcomposereditorwebengineprivate
Summary: KDEPIM library
Group: System/Libraries

%description -n %libcomposereditorwebengineprivate
KDEPIM library.

%files -n %libcomposereditorwebengineprivate
%_kf5_libdir/libcomposereditorwebengineprivate.so.%{composereditorwebengineprivate_major}*

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf5_docdir/HTML/en/blogilo

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1089993
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

  + pterjan <pterjan>
    - Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076728
- New version 16.12.0

* Sun Dec 11 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074211
- imported package blogilo

